import Vue from 'vue';
import App from './App';

import content from './components/containers/container-subgroup-two.vue';//引入无内容组件
Vue.component('content',content);//全局注册无内容组件

import nothingPage from './components/nothing/nothing-page.vue';//引入无内容组件
Vue.component('nothing-page',nothingPage);//全局注册无内容组件


import share from './jsFile/share.js';// 全局注册分享事件
Vue.mixin(share); 

// 常用工具
import tools from '@/jsFile/tools.js';
Vue.prototype.$toolAll = tools;
// 响应数据
import requst from '@/jsFile/requst.js';
Vue.prototype.$requst = requst;

App.mpType = 'app';

const app = new Vue({
    ...App
})
app.$mount()
